This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465469 - wget does not resume broken ftp connection
wget does not resume broken ftp connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 10:14 EDT by Need Real Name
Modified: 2010-06-28 09:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-10-03 10:14:07 EDT
wget does not resume broken ftp connection,
for some reason it asumes the file is already downloaded.

wget --user=xxxx --password=yyyyy ftp://zzzzzzzzzzzzz.com/file.zip

--2008-10-03 07:21:21--  ftp://zzzzzzzzzzzzz.com/file.zip
           => `file.zip'
Connecting to zzzzzzzzzzzzz.com[1.1.1.1]:21... connected.
Logging in as xxxx ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /ITCHFiles ... done.
==> SIZE file.zip ... 2546787098
==> PASV ... done.    ==> RETR file.zip ... done.
Length: 2546787098 (2.4G)

 3% [>                                      ] 77,495,340  --.-K/s   in 26m 6s  

2008-10-03 07:47:29 (48.3 KB/s) - Data connection: Connection timed out; Data transfer aborted.
Retrying.

--2008-10-03 07:47:30--  ftp://zzzzzzzzzzzzz.com/file.zip
  (try: 2) => `file.zip'
==> CWD not required.
==> SIZE file.zip ... done.
==> PASV ... 
Error in server response, closing control connection.
Retrying.

--2008-10-03 07:47:32--  ftp://zzzzzzzzzzzzz.com/file.zip
  (try: 3) => `file.zip'
Connecting to zzzzzzzzzzzzz.com[1.1.1.1]:21... connected.
Logging in as xxxx ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /ITCHFiles ... done.
==> SIZE file.zip ... 2546787098
==> PASV ... done.    ==> RETR file.zip ... done.
file.zip has sprung into existence.
Retrying.

--2008-10-03 07:47:37--  ftp://zzzzzzzzzzzzz.com/file.zip
  (try: 4) => `file.zip.1'
Connecting to zzzzzzzzzzzzz.com[1.1.1.1]:21... connected.
Logging in as xxxx ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /ITCHFiles ... done.
==> SIZE file.zip ... 2546787098
==> PASV ... done.    ==> REST 2546787098 ... done.    
==> RETR file.zip ... done.
Length: 2546787098 (2.4G), 0 (0) remaining

100%[+++++++++++++++++++++++++++++++++++++] 2,546,787,098 --.-K/s   in 0s      

2008-10-03 07:47:39 (0.00 B/s) - `file.zip.1' saved [2546787098]
Comment 1 Need Real Name 2008-10-04 14:34:11 EDT
And the resulting file.zip.1 has the size=0
Comment 2 Karsten Hopp 2009-03-26 08:13:01 EDT
you didn't mention which version of wget you're using. Is this the F-9 wget-1.11.1
or wget-1.11.4 from F-9-Updates ?
Comment 3 Need Real Name 2009-03-26 08:46:21 EDT
It was several version, including wget-1.11.4-1.fc9 manually compiled from 
.src.rpm from fedora development.

Currently I see this poblem still occur on slow links,
but much more seldom than with earlier wget versions.
Comment 4 Need Real Name 2009-06-09 11:18:46 EDT
The problem still exists in 
rpm -q wget 
wget-1.11.4-1.fc10.x86_64

 wget --passive-ftp 'ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso'
--2009-06-09 10:14:37--  ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso
           => `Fedora-11-x86_64-DVD.iso'
Resolving ftp.chg.ru... 195.178.192.118, 193.233.9.194, 2001:640:20:ff00::194
Connecting to ftp.chg.ru|195.178.192.118|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso ... done.
==> SIZE Fedora-11-x86_64-DVD.iso ... 4268124160
==> PASV ... done.    ==> RETR Fedora-11-x86_64-DVD.iso ... done.
Length: 4268124160 (4.0G)

11% [===>                                   ] 501,661,156 --.-K/s   in 61m 28s 

2009-06-09 11:16:09 (133 KB/s) - Data connection: Connection timed out; Data transfer aborted.
Retrying.

--2009-06-09 11:16:10--  ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso
  (try: 2) => `Fedora-11-x86_64-DVD.iso'
==> CWD not required.
==> SIZE Fedora-11-x86_64-DVD.iso ... done.
==> PASV ... 
Error in server response, closing control connection.
Retrying.

--2009-06-09 11:16:12--  ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso
  (try: 3) => `Fedora-11-x86_64-DVD.iso'
Connecting to ftp.chg.ru|195.178.192.118|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso ... done.
==> SIZE Fedora-11-x86_64-DVD.iso ... 4268124160
==> PASV ... done.    ==> RETR Fedora-11-x86_64-DVD.iso ... done.
Fedora-11-x86_64-DVD.iso has sprung into existence.
Retrying.

--2009-06-09 11:16:19--  ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso
  (try: 4) => `Fedora-11-x86_64-DVD.iso.1'
Connecting to ftp.chg.ru|195.178.192.118|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso ... done.
==> SIZE Fedora-11-x86_64-DVD.iso ... 4268124160
==> PASV ... done.    ==> REST 4268124160 ... done.    
==> RETR Fedora-11-x86_64-DVD.iso ... done.
Length: 4268124160 (4.0G), 0 (0) remaining

100%[+++++++++++++++++++++++++++++++++++++] 4,268,124,160 --.-K/s   in 0s      

2009-06-09 11:16:21 (0.00 B/s) - `Fedora-11-x86_64-DVD.iso.1' saved [4268124160]

[mal@cnasdaq ~]$ rpm -q wget 
wget-1.11.4-1.fc10.x86_64
[mal@cnasdaq ~]$ ls -l Fedora-11-x86_64-DVD.iso*
-rw-rw-r-- 1 mal mal 501661156 2009-06-09 11:01 Fedora-11-x86_64-DVD.iso
-rw-rw-r-- 1 mal mal         0 2009-06-09 11:16 Fedora-11-x86_64-DVD.iso.1
Comment 5 Need Real Name 2009-06-09 11:22:29 EDT
The problem.
1. Download of the Fedora-11-x86_64-DVD.iso did not continue.
2. A spurious file of 0 length Fedora-11-x86_64-DVD.iso.1 has been created.
Exactly as I reported in my original report.

Then, I do download continue and wget continues to work.

 wget --continue --passive-ftp 'ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso'
--2009-06-09 11:19:28--  ftp://ftp.chg.ru/pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso/Fedora-11-x86_64-DVD.iso
           => `Fedora-11-x86_64-DVD.iso'
Resolving ftp.chg.ru... 193.233.9.194, 195.178.192.118, 2001:640:20:ff00::194
Connecting to ftp.chg.ru|193.233.9.194|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Linux/fedora/linux/releases/11/Fedora/x86_64/iso ... done.
==> SIZE Fedora-11-x86_64-DVD.iso ... 4268124160
==> PASV ... done.    ==> REST 501661156 ... done.    
==> RETR Fedora-11-x86_64-DVD.iso ... done.
Length: 4268124160 (4.0G), 3766463004 (3.5G) remaining

11% [++++                                   ] 503,422,172  187K/s  eta 10h 12m
Comment 6 Bug Zapper 2010-04-27 08:15:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:45:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.